android studio ‘com.android.support:appcompat’のエラーの消し方

android studio

エラーの内容

build.gradle(app)で以下のようなエラーが出ました。

com.android.supportで異なるバージョンのものが含まれているという内容のエラーのようです。

対処法

Androidをクリックします。

projectを選択します。

表示されたリストの中からバージョンが一致していないものを探します。

build.gradle(app) のdependenciesに上の画像のように追記します。この時、バージョンはエラーが出ている部分と一致させてください。(今回の場合は28.0.0)

supportの後ろとバージョンの前にコロンを追加してください。また、図の緑の字の部分のアンダーバーをドットに変えてください。

Sync Nowをクリック。

無事エラーが消えました。

タイトルとURLをコピーしました